net.dontdrinkandroot.lastfm.api.model

## Class Venue

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.LfmEntity
  - - net.dontdrinkandroot.lastfm.api.model.Venue

All Implemented Interfaces:
  Serializable, Entity, IdEntity, NameEntity

    public class Venue
    extends LfmEntity
    implements Serializable, NameEntity, IdEntity

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Venue(Element element)` Create a Venue from an XML element.

### Method Summary

Methods
`Long` `getId()`
`Location` `getLocation()`
`String` `getName()`
`void` `setId(Long id)`
`void` `setName(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Venue

    public Venue(Element element)

Create a Venue from an XML element.

Parameters:
  `element` - The XML element to create the Venue from.

### Method Detail

#### getLocation

    public final Location getLocation()

#### getId

    public final Long getId()

Specified by:
  `getId` in interface `IdEntity`

#### setId

    public final void setId(Long id)

Specified by:
  `setId` in interface `IdEntity`

#### setName

    public final void setName(String name)

Specified by:
  `setName` in interface `NameEntity`

#### getName

    public final String getName()

Specified by:
  `getName` in interface `NameEntity`